public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-cinderclient/
Date: Mon, 27 Feb 2017 04:27:03 +0000 (UTC)	[thread overview]
Message-ID: <1488169592.07405efa11d00ea5f8447cf334f258bba400c78d.prometheanfire@gentoo> (raw)

commit:     07405efa11d00ea5f8447cf334f258bba400c78d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 27 04:00:58 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Feb 27 04:26:32 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07405efa

dev-python/python-cinderclient: bup

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/python-cinderclient/Manifest            |  1 +
 .../python-cinderclient-1.11.0.ebuild              | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/python-cinderclient/Manifest b/dev-python/python-cinderclient/Manifest
index e3c9961915..9741481391 100644
--- a/dev-python/python-cinderclient/Manifest
+++ b/dev-python/python-cinderclient/Manifest
@@ -1,2 +1,3 @@
+DIST python-cinderclient-1.11.0.tar.gz 239521 SHA256 959025508816705f9eb0568ef82e7f13e152ae717af18c3e499506b988335ddc SHA512 fa55a721668dfdc4a338f8a2d7d27aaaba4f11fea6b95858778ce014592198de9a9937a431f79142c60e6fee22fc76365912afb56c0db6de426631c840fec3a7 WHIRLPOOL 6e463025755e12ceba8384a9512659c29a733a2f12b77330d1fb8a75aad46c9c697e8b7dad48c3dd05f3942e8e81a0d0e2b1486e94edd607b4ad4c72a783da12
 DIST python-cinderclient-1.6.0.tar.gz 194134 SHA256 b00b7ffc3394b7ae3f8804a10877f7c980ff65f66d7b0d4b51bf4526933951b2 SHA512 421c665be2d410f511c751687df438dc268c4d2ae5ca83d8ee2d37d3b61cd08f718851c65338e14c8cbb8304703b5f9acf98611246ca6866c5a31cc3dd86e39b WHIRLPOOL 5e3f3326ce1ccd1cb555303b0d9f5ede0cfd4c329a490f79f88ad04e2dc9d6123d294b09d393a2fd7274f5b7a3696efeabdade9b39bd93da5b7e9d421b0e0fba
 DIST python-cinderclient-1.9.0.tar.gz 231331 SHA256 17cab946a64808404c6c6840d43487a5082a730cc517d0ebbe6824b54a267fb7 SHA512 be9c976ad9ef6005100f51bda75234253f9394aeda9ccc28f0b673bf39f5856fae2f23208e05057a58f2155d1b4fb728ec178b7fab21abca9eb88fe2ac82c018 WHIRLPOOL 88bc1c8492f0f508f4332b9cba1dba27c9184ddabd6d9f8131b3760d8229166fd10e9f366199155b4f67adde8ab13eb949cf1af0a9636d44f175e762dfde95c7

diff --git a/dev-python/python-cinderclient/python-cinderclient-1.11.0.ebuild b/dev-python/python-cinderclient/python-cinderclient-1.11.0.ebuild
new file mode 100644
index 0000000000..d4a8d36931
--- /dev/null
+++ b/dev-python/python-cinderclient/python-cinderclient-1.11.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Cinder API"
+HOMEPAGE="https://launchpad.net/python-cinderclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+	<dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+	>=dev-python/keystoneauth-2.18.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
+	!~dev-python/requests-2.12.2[${PYTHON_USEDEP}]
+	>=dev-python/simplejson-2.2.0[${PYTHON_USEDEP}]
+	>=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-3.18.0[${PYTHON_USEDEP}]"
+
+src_prepare() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2017-02-27  4:27 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-27  4:27 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-14 12:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-cinderclient/ Michał Górny
2024-09-14 11:31 Arthur Zamarin
2024-08-30  1:56 Michał Górny
2024-03-16 12:08 Michał Górny
2024-03-16 11:33 Arthur Zamarin
2024-03-01 18:33 Michał Górny
2023-11-24 15:29 Michał Górny
2023-11-08 12:53 Michał Górny
2023-10-06 15:13 Michał Górny
2023-10-06 14:55 Sam James
2023-09-02  3:22 Michał Górny
2023-08-19  5:46 Michał Górny
2023-03-24 19:51 Arthur Zamarin
2023-02-17 18:51 Michał Górny
2023-02-17  6:21 Michał Górny
2023-02-16 22:50 Sam James
2022-12-16 19:00 Arthur Zamarin
2022-10-03  7:22 Michał Górny
2022-10-03  0:44 Sam James
2022-09-01 19:42 Arthur Zamarin
2022-08-31 19:08 Arthur Zamarin
2022-08-18  6:18 Michał Górny
2022-08-17 21:13 Sam James
2022-07-15 18:30 Arthur Zamarin
2022-06-05  5:46 Michał Górny
2022-05-28 21:12 Jakov Smolić
2022-04-01 18:48 Michał Górny
2022-04-01 17:51 Arthur Zamarin
2022-04-01 17:51 Arthur Zamarin
2022-02-25 23:41 Michał Górny
2022-02-24 18:18 Michał Górny
2021-12-27 21:18 Michał Górny
2021-12-27 19:18 Jakov Smolić
2021-12-19 21:23 Michał Górny
2021-12-19 21:18 Jakov Smolić
2021-11-25 18:42 Arthur Zamarin
2021-11-19  6:46 Arthur Zamarin
2021-11-12 19:00 Arthur Zamarin
2021-11-07  1:34 Sam James
2021-11-01  2:07 Sam James
2021-10-17  9:25 Michał Górny
2021-09-30 19:55 Arthur Zamarin
2021-09-26  5:01 Sam James
2021-08-31 16:32 Arthur Zamarin
2021-08-31 13:26 Arthur Zamarin
2021-08-31 13:26 Arthur Zamarin
2021-04-11 19:07 Matthew Thode
2021-03-09 17:17 Matthew Thode
2021-01-24  0:07 Sam James
2020-11-18  9:47 Michał Górny
2020-11-18  9:47 Michał Górny
2020-11-17 21:15 Thomas Deutschmann
2020-11-14 22:28 Michał Górny
2020-10-11  1:29 Matthew Thode
2020-04-23 19:36 Matthew Thode
2020-03-25 16:17 Matthew Thode
2020-02-11 19:06 Matthew Thode
2019-08-11 21:13 Matthew Thode
2019-07-11 17:58 Matthew Thode
2019-06-16  6:59 Matthew Thode
2019-06-10 15:38 Matthew Thode
2019-05-16 23:24 Matthew Thode
2019-05-11 19:06 Matthew Thode
2019-05-10 16:25 Matthew Thode
2019-04-10  5:08 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-09-05 21:33 Matt Thode
2018-06-24 12:20 Pacho Ramos
2018-02-19  0:54 Matt Thode
2018-02-19  0:54 Matt Thode
2017-08-28 21:52 Matt Thode
2016-03-25 21:22 Matt Thode
2016-02-28  6:43 Matt Thode
2015-11-10  8:24 Agostino Sarubbo
2015-11-10  8:19 Agostino Sarubbo
2015-08-24 14:04 Agostino Sarubbo
2015-08-24 14:02 Agostino Sarubbo
2015-08-23  3:01 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1488169592.07405efa11d00ea5f8447cf334f258bba400c78d.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox